<template>
  <div>
    <!-- PC -->
    <div class="gt-md mainWidth q-pt-md">
      <div class="font-24 q-px-md topic">ยอดนิยม</div>

      <div class="row">
        <div style="width: 20%" v-for="(item, index) in data" :key="index">
          <book-rank :bookData="item" :itemNO="index + 1" />
        </div>
      </div>
    </div>

    <!-- Mobile -->
    <div class="lt-sm">
      <div class="q-px-sm topic-m">ยอดนิยม</div>
      <div class="showNew row no-wrap">
        <div
          v-for="(item, index) in data"
          :key="index"
          style="width: 160px"
          align="center"
          class="q-pr-md"
        >
          <book-rank :bookData="item" :itemNO="index + 1" />
        </div>
      </div>
    </div>

    <!-- tablet -->
    <div class="gt-xs lt-lg">
      <div class="q-px-sm topic-t">ยอดนิยม</div>
      <div class="showNew-t row no-wrap">
        <div
          v-for="(item, index) in data"
          :key="index"
          style="width: 180px"
          align="center"
          class="q-pr-md"
        >
          <book-rank :bookData="item" :itemNO="index + 1" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import bookRank from "../components/bookrank.vue";
export default {
  components: { bookRank },
  data() {
    return {
      data: [],
    };
  },
  methods: {
    async loadData() {
      let url = this.serverpath + "newchapter.php";
      let res = await axios.get(url);
      let dataInput = res.data;

      let bookid = [...new Set(dataInput.map((x) => x.bookid))];
      bookid.forEach((x) => {
        let bookData = dataInput.filter((y) => y.bookid == x);
        this.data.push(bookData[0]);
      });
      this.data = this.data.slice(0, 10);
    },
  },
  mounted() {
    this.loadData();
  },
};
</script>

<style lang="scss" scoped>
.showNew {
  width: 100%;
  height: 300px;
  overflow-x: auto;
  overflow-y: hidden;
}
.showNew-t {
  width: 100%;
  height: 350px;
  overflow-x: auto;
  overflow-y: hidden;
}
::-webkit-scrollbar {
  display: none;
}
</style>
